Subject: Re: bug#29674: Ceph creates Btrfs subvolumes on Btrfs during tests.

From: Marius Bakke <[email-masked]>
Date: Thu, 28 Dec 2017 01:04:02 +0100

Rutger Helling <[email-masked]> writes:

> This bug has been open for quite a while now.
> If there are no objections in the next few days, I'd like to disable the
> tests entirely for now with a FIXME on finding and disabling only the
> offending tests.

I dug pretty deep into the Ceph test code a few days ago without
being able to pinpoint which test(s) are the culprit for this.  Btrfs
subvolume operations only occur in FileStore.cc and objectstoretool.py
IIRC, but attempts at disabling their tests was unfruitful.

So, disabling tests altogether sounds good to me.  Make sure to add a
link to this bug report with the FIXME.

Thanks!